Skip to main content
GET
/
workspaces
/
{workspaceId}
Retrieve a workspace
curl --request GET \
  --url https://api.tally.so/workspaces/{workspaceId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tally.so/workspaces/{workspaceId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tally.so/workspaces/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "index": 123,
  "createdByUserId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "members": [
    {
      "id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "fullName": "<string>",
      "email": "<string>",
      "avatarUrl": "<string>",
      "organizationId": "<string>",
      "isDeleted": true,
      "hasTwoFactorEnabled": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "invites": [
    {
      "id": "<string>",
      "email": "<string>",
      "workspaceIds": [
        "<string>"
      ]
    }
  ],
  "folders": [
    {
      "id": "<string>",
      "name": "<string>",
      "workspaceId": "<string>",
      "parentId": "<string>",
      "createdByUserId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

The ID of the workspace to retrieve

Response

Workspace retrieved successfully

id
string
required
name
string
required
index
integer
required
createdByUserId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
members
object[]
invites
object[]
folders
object[]